TR(1)

NAAM
tr - vertaal of wis tekens

SAMENVATTING
tr [OPTIE]... SET1 [SET2]

BESCHRIJVING

Vertaal, knijp uit en/of verwijder tekens uit standaard invoer, en schrijft het resultaat naar standaard uitvoer. SET1 en SET2 specificeren reeksen van tekens SET1 en SET2 die de actie bepalen.

-c, -C, --complement
    het complement van SET1 gebruiken

-d, --delete
    tekens in SET1 verwijderen, niet vertalen

-s, --squeeze-repeats
    herhaal elke sequentie van een herhaald teken dat werd opgenomen in de laatst opgegeven SET, me een enkelvoudig voorkomen van dat teken

-t, --truncate-set1
    SET1 eerst afkappen tot de lengte van SET2

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

SETs worden gegeven als tekenreeksen. De meeste tekens representeren zichzelf. Begrepen codes zijn:

\NNN
    het teken met ASCII-code NNN (octaal, 1 tot 3 cijfers)

\\  een backslash

\a  geluidssignaal

\b  backspace

\f  nieuwe pagina (FF-teken)

\n  nieuwe regel (LF-teken)

\r  naar begin van regel (CR-teken)

\t  horizontale tab

\v  verticale tab

TEKEN1-TEKEN2
    alle tekens van TEKEN1 t/m TEKEN2 in oplopende volgorde

[TEKEN*]
    in SET2, kopieën van TEKEN tot de lengte van SET1

[CHAR*AANTAL]
    een specifiek aantal kopieën van TEKEN; AANTAL is octaal als het begint met 0

[:alnum:]
    alle letters en cijfers

[:alpha:]
    alle letters

[:blank:]
    alle horizontale witruimte

[:cntrl:]
    alle stuurtekens

[:digit:]
    alle cijfers

[:graph:]
    alle afdrukbare tekens, exclusief de spatie

[:lower:]
    alle kleine letters

[:print:]
    alle afdrukbare tekens, inclusief spatie

[:punct:]
    alle interpunctie tekens

[:space:]
    alle horizontale en verticale witruimte

[:upper:]
    alle hoofdletters

[:xdigit:]
    alle hexadecimale tekens

[=TEKEN=]
    alle tekens die equivalent zijn aan TEKEN

Vertaling treedt op als -d niet gegeven is en zowel SET1 als SET2 gegeven zijn. Optie -t mag alleen gebruikt worden bij omzetten. SET2 wordt vergroot tot de lengte van SET1 door het laatste teken te herhalen; te veel tekens in SET2 worden genegeerd. Alleen [:lower:] en [:upper:] worden gegarandeerd uitgebreid in oplopende volgorde; bij vertalen kunnen zij alleen in paren gebruikt worden voor omzetten van hoofd- in kleine letters of omgekeerd. Uitknijpen gebeurd na vertaling of verwijdering.

BUGS

Volledige ondersteuning is alleen beschikbaar voor veilige enkele-byte taaldefinitie, waarin elk mogelijk invoer byte een enkelvoudig teken representeert. De C taaldefinitie is veilig in GNU systemen, daarom kunt u dit issue voorkomen in de shell door het uitvoeren van LC_ALL=C tr in plaats van het eenvoudige tr.

AUTEUR
Geschreven door Jim Meyering.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/tr>
of lokaal via: info '(coreutils) tr invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.